Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.core.internal.provisional.jsflibraryregistry
Class JSFLibraryArchiveFilesDelegate

    java.lang.Object
      org.eclipse.jst.jsf.core.internal.provisional.jsflibraryregistry.JSFLibraryArchiveFilesDelegate

public abstract class JSFLibraryArchiveFilesDelegate
extends java.lang.Object

Abstract delegate class used by jsfLibraries ext-pt to return collection of ArchiveFiles to PluginProvidedJSFLibraryCreationHelper. Caller must first setConfigurationElement(IConfigurationElement element) before a call to getArchiveFiles().
NOTE: experimental and very likely to change.

Field Summary
`protected org.eclipse.core.runtime.IConfigurationElement` | `extPtElement`

Constructor Summary
`JSFLibraryArchiveFilesDelegate()` Constructs an instance.

Method Summary
`protected org.eclipse.jst.jsf.core.internal.jsflibraryregistry.ArchiveFile` | `createArchiveFile(java.lang.String relativePathFileName)` Returns ArchiveFile where the location is set relative to the plugin.
`abstract java.util.Collection` | `getArchiveFiles()` Returns a Collection of `org.eclipse.jst.jsf.core.internal.jsflibraryregistry.ArchiveFile` instances.
`protected java.lang.String` | `getLibID()` Returns the JSFLibrary ID as set on the extension point.
`protected org.eclipse.core.runtime.IPath` | `getPluginPath()` Returns the plugin's path.
`void` | `setConfigurationElement(org.eclipse.core.runtime.IConfigurationElement extPtElement)` Sets the IConfigurationElement instance to be subsequently used to get the plugin ID and the name defined for the JSF Library.
`protected void` | `setRelativeDestinationLocation(java.lang.String relPath)` Sets the relative destination location subsequently used to set the corresponding property on each created ArchiveFile.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### extPtElement

    protected org.eclipse.core.runtime.IConfigurationElement extPtElement

Constructor Detail

### JSFLibraryArchiveFilesDelegate

    public JSFLibraryArchiveFilesDelegate()

  Constructs an instance.

Method Detail

### getArchiveFiles

    public abstract java.util.Collection getArchiveFiles()

  Returns a Collection of `org.eclipse.jst.jsf.core.internal.jsflibraryregistry.ArchiveFile` instances.

  Returns:
    A Collection of `org.eclipse.jst.jsf.core.internal.jsflibraryregistry.ArchiveFile` instances

### setConfigurationElement

    public final void setConfigurationElement(org.eclipse.core.runtime.IConfigurationElement extPtElement)

  Sets the IConfigurationElement instance to be subsequently used to get the plugin ID and the name defined for the JSF Library.

  Parameters:
    `extPtElement` - IConfigurationElement instance

### setRelativeDestinationLocation

    protected void setRelativeDestinationLocation(java.lang.String relPath)

  Sets the relative destination location subsequently used to set the corresponding property on each created ArchiveFile.

  Parameters:
    `relPath` - Relative destination location for ArchiveFile instances

### createArchiveFile

    protected org.eclipse.jst.jsf.core.internal.jsflibraryregistry.ArchiveFile createArchiveFile(java.lang.String relativePathFileName)

  Returns ArchiveFile where the location is set relative to the plugin. As long as the ArchiveFile is on the local machine somewhere, it should be locatable.

  Parameters:
    `relativePathFileName` - Relative location of the ArchiveFile
  Returns:
    ArchiveFile instance.

### getLibID

    protected java.lang.String getLibID()

  Returns the JSFLibrary ID as set on the extension point.

  Returns:
    JSFLibrary ID

### getPluginPath

    protected org.eclipse.core.runtime.IPath getPluginPath()

  Returns the plugin's path.

  Returns:
    The plugin's path.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD